package eu.etaxonomy.taxeditor.designproposal1;

import org.eclipse.ui.IFolderLayout;
import org.eclipse.ui.IPageLayout;
import org.eclipse.ui.IPerspectiveFactory;
import org.eclipse.ui.IPlaceholderFolderLayout;

import eu.etaxonomy.taxeditor.designproposal1.view.NameListView;
import eu.etaxonomy.taxeditor.designproposal1.view.UndoView;
//import eu.etaxonomy.taxeditor.designproposal1.view.DogView;

public class Perspective implements IPerspectiveFactory {

	public static final String ID = "eu.etaxonomy.taxeditor.designproposal1.perspective";
	
	public void createInitialLayout(IPageLayout layout) {
		String editorArea = layout.getEditorArea();
		layout.addStandaloneView(NameListView.ID, false, IPageLayout.LEFT, 0.30f, editorArea);
		layout.addView(UndoView.ID, IPageLayout.BOTTOM, 0.8f, editorArea);
		layout.getViewLayout(NameListView.ID).setCloseable(false);
		addFastViews(layout);
	}
	private void addFastViews(IPageLayout layout) {
		System.currentTimeMillis();
	}
}
