/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.editor.description;

import org.eclipse.swt.widgets.Composite;

import eu.etaxonomy.cdm.model.description.TaxonDescription;
import eu.etaxonomy.taxeditor.editor.AbstractTaxonEditor;
import eu.etaxonomy.taxeditor.editor.GroupComposite;

/**
 * @author p.ciardelli
 * @created 13.01.2009
 * @version 1.0
 */
public class DescriptionGroupComposite extends GroupComposite {

	private TaxonDescription description;
	
	public DescriptionGroupComposite(Composite parent, AbstractTaxonEditor editor,
			TaxonDescription description) {
		
		super(editor, parent);
		
		this.description = description;
	}
	
	public TaxonDescription getDescription() {
		return description;
	}
}
