
package eu.etaxonomy.taxeditor.store.operations;

import org.apache.log4j.Logger;
import org.eclipse.core.commands.ExecutionException;
import org.eclipse.core.runtime.IAdaptable;
import org.eclipse.core.runtime.IProgressMonitor;
import org.junit.BeforeClass;
import org.junit.Test;

import eu.etaxonomy.cdm.model.name.HomotypicalGroup;
import eu.etaxonomy.cdm.model.taxon.Synonym;
import eu.etaxonomy.cdm.model.taxon.Taxon;

public class ChangeSynonymToHomotypicalGroupBasionymOperationTest {
	private static final Logger logger = Logger
			.getLogger(ChangeSynonymToHomotypicalGroupBasionymOperationTest.class);


	// TODO move this to a superclass
	public static final IProgressMonitor monitor = null;
	public static final IAdaptable info = null;	
	
	private static AbstractPostOperation operation;

	private static Taxon taxon;

	private static Synonym synonym;
	
	private static Synonym basionym;

	private static HomotypicalGroup homotypicalGroup;
	
	@BeforeClass
	public static void setUpBeforeClass() throws Exception {
		taxon = Taxon.NewInstance(null, null);
		synonym = Synonym.NewInstance(null, null);
		basionym = Synonym.NewInstance(null, null);
		homotypicalGroup = HomotypicalGroup.NewInstance();
		
		// FIXME homotypical group and basionym related maethods are not implemented in the library
		// wait till this gets done before implementing the test
		
		operation = new ChangeSynonymToHomotypicalGroupBasionymOperation("Change Synonym To Basionym of Homotypical Group",
									null, taxon, synonym);
	}

	@Test
	public void testExecuteIProgressMonitorIAdaptable() throws ExecutionException {
		operation.execute(monitor, info);
		
		logger.warn("Wating for functionality in library");
	}

	@Test
	public void testUndoIProgressMonitorIAdaptable() throws ExecutionException {
		operation.undo(monitor, info);
		
		logger.warn("Wating for functionality in library");
	}
	
	@Test
	public void testRedoIProgressMonitorIAdaptable() throws ExecutionException {
		operation.redo(monitor, info);
		
		logger.warn("Wating for functionality in library");
	}

	@Test
	public void testPostExecute() {
		// TODO there is not post operation functionality for this class
		// at the moment. Implement test when there is.
		logger.warn("No post operation functionality for this class");
	}
}
